using System;

class Program
{
    static void Main()
    {
        string[] trenutniRezultat = Console.ReadLine().Split(' ');
        string[] buduciRezultat = Console.ReadLine().Split(' ');

        if (trenutniRezultat[0] == buduciRezultat[0])
        {
            if (buduciRezultat[1] < trenutniRezultat[1])
            {
                Console.WriteLine("drugi");
                return;
            }
            Console.WriteLine("nijedan");
            return;
        }
        else
        {
            if (trenutniRezultat[1] == buduciRezultat[1])
            {
                Console.WriteLine("prvi");
                return;
            }
            Console.WriteLine("?");
            return;
        }
        Console.ReadKey();
    }
}